#UNINSTALL

  sudo apt-get purge php7.*
 sudo apt-get purge php5.*
 
 
 sudo apt-get remove --purge *mysql\*
sudo apt-get autoremove
sudo apt-get autoclean
rm -rf /var/lib/mysql
 
 
 sudo apt-get remove nodejs
sudo apt-get remove npm


 
 #INSTALL PHP
 
 
 
 
 https://websiteforstudents.com/installing-php-7-0-7-1-ubuntu-17-04/

sudo apt-get install software-properties-common
sudo add-apt-repository ppa:ondrej/php
sudo apt-get update
php -v
sudo apt-cache pkgnames | grep php7.2
https://www.textfixer.com/tools/remove-line-breaks.php
sudo apt-get install php7.2-bz2 php7.2-common php7.2-cgi php7.2-cli php7.2-dba php7.2-dev libphp7.2-embed php7.2-bcmath php7.2-fpm php7.2-gmp php7.2-mysql php7.2-tidy php7.2 php7.2-sqlite3 php7.2-json php7.2-opcache php7.2-sybase php7.2-curl php7.2-ldap php7.2-phpdbg php7.2-imap php7.2-xml php7.2-xsl php7.2-intl php7.2-zip php7.2-odbc php7.2-mbstring php7.2-readline php7.2-gd php7.2-interbase php7.2-snmp php7.2-xmlrpc php7.2-soap php7.2-pspell php7.2-pgsql php7.2-enchant php7.2-recode libapache2-mod-php7.2




#MYSQL
 
sudo apt install mysql-server
sudo systemctl status mysql

sudo su
mysql
CREATE USER 'rvm'@'localhost' IDENTIFIED BY '1234';
 
SELECT User FROM mysql.user;
GRANT ALL PRIVILEGES ON *.* TO 'rvm'@'localhost' IDENTIFIED BY '1234';


#DBEAVER
sudo add-apt-repository ppa:serge-rider/dbeaver-ce
sudo apt-get update
sudo apt-get install dbeaver-ce




#NODE 
 

#https://www.digitalocean.com/community/questions/curl-is-not-installed-in-your-php-installation
sudo apt-get install curl
#https://tecadmin.net/install-latest-nodejs-npm-on-debian/#
curl -sL https://deb.nodesource.com/setup_8.x | sudo bash -
sudo apt-get install nodejs
node -v
npm -v




#COMPOSER
https://www.digitalocean.com/community/tutorials/how-to-install-and-use-composer-on-ubuntu-18-04
https://www.digitalocean.com/community/tutorials/how-to-install-and-use-composer-on-ubuntu-14-04

#Basic
apt-get install libsqlite3-dev
sudo apt-get install ruby-full build-essential rubygems
gem install sass
sudo apt-get install libnotify-bin

sudo chown -R $(whoami) ~/.npm
npm install -g gulp
sudo apt-get install libpng-dev


///COMMMANDS

 gulp make-db --dbase "cats"
 gulp del-db --dbase "cats"
php artisan migrate:fresh --seed
php artisan test-factory-helper:generate
 composer dump-autoload
 php artisan migrate:fresh --seed
 
 
 https://mvnrepository.com/artifact/org.controlsfx/controlsfx/8.40.13
 

















